=== debian/changelog ===
gr-iio (0.1.67-1) unstable; urgency=medium

  * Initial upload to Debian (closes: #814033)
  * Sponsor libiio for Paul Cercueil
  * update to v0.1-67-g542cfb2

 -- A. Maitland Bottoms <bottoms@debian.org>  Sat, 27 Aug 2016 16:05:29 -0400

gr-iio (0.1.13-1) unstable; urgency=medium

  * update to v0.1-13-ga823869
  * debian (3.0) quilt format source
  * update Build-depends, regroup files into gr-iio and libgnuradio-iio0

 -- A. Maitland Bottoms <bottoms@debian.org>  Fri, 29 Apr 2016 05:47:17 -0400

gr-iio (0.1) unstable; urgency=low

  * Initial release.

 -- Paul Cercueil <paul.cercueil@analog.com>  Wed, 8 Apr 2015 12:36:40 +0200
