=== debian/control ===
Source: gr-iio
Section: libs
Priority: optional
Maintainer: Paul Cercueil <paul.cercueil@analog.com>
Uploaders: A. Maitland Bottoms <bottoms@debian.org>
Build-Depends: bison,
               cmake (>= 2.6),
               debhelper (>= 9),
               doxygen,
               flex,
               gnuradio-dev,
               libad9361-dev,
               libcppunit-dev,
               libiio-dev (>= 0.5),
               pkg-config,
	       python-dev,
               swig
Standards-Version: 3.9.8
Homepage: https://github.com/analogdevicesinc/gr-iio.git

Package: gr-iio
Section: libdevel
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: libgnuradio-iio0 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: IIO blocks for GnuRadio
 Libiio is a library that has been conceived to ease the development of
 applications interfacing Industrial Input/Output (IIO) devices through
 the IIO subsystem of the Linux kernel.
 .
 The IIO blocks for GnuRadio can be used to create flowgraphs that interface
 IIO devices through libiio.
 .
 This package contains the development files.

Package: libgnuradio-iio0
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: IIO blocks for GnuRadio (runtime library)
 Libiio is a library that has been conceived to ease the development of
 applications interfacing Industrial Input/Output (IIO) devices through
 the IIO subsystem of the Linux kernel.
 .
 The IIO blocks for GnuRadio can be used to create flowgraphs that interface
 IIO devices through libiio.
 .
 This package contains the shared library.
