=== debian/rules ===
#!/usr/bin/make -f

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

%:
	dh $@ --parallel --with python2

override_dh_auto_configure:
	dh_auto_configure -- -DGR_LIBRARY_DIR=lib/$(DEB_HOST_MULTIARCH) -DPythonLibs_FIND_VERSION:STRING="2.7" -DPYTHON_EXECUTABLE:STRING="/usr/bin/python"

override_dh_auto_install:
	dh_auto_install
	rm -f debian/gr-iio/usr/lib/python2.7/dist-packages/gnuradio/iio/*pyc
	rm -f debian/gr-iio/usr/lib/python2.7/dist-packages/gnuradio/iio/*pyo

override_dh_compress:
	dh_compress -X.c -X.C
