## gr-iio 0.2.36

=== CMakeLists.txt ===
--- 
+++ 
@@ -25,13 +25,18 @@
 project(gr-iio CXX C)
 
 set(GR_IIO_VERSION_MAJOR 0)
-set(GR_IIO_VERSION_MINOR 1)
+set(GR_IIO_VERSION_MINOR 2)
 set(GR_IIO_VERSION ${GR_IIO_VERSION_MAJOR}.${GR_IIO_VERSION_MINOR})
 
 if (MSVC)
 	# http://www.suodenjoki.dk/us/archive/2010/min-max.htm
 	add_definitions(-DNOMINMAX)
 endif (MSVC)
+
+if (WIN32 AND CMAKE_SIZEOF_VOID_P EQUAL 8)
+	# https://stackoverflow.com/questions/2842469/python-undefined-reference-to-imp-py-initmodule4
+	add_definitions(-DMS_WIN64)
+endif(WIN32 AND CMAKE_SIZEOF_VOID_P EQUAL 8)
 
 #select the release build type by default to get optimization flags
 if(NOT CMAKE_BUILD_TYPE)
@@ -65,7 +70,24 @@
     "1.60.0" "1.60" "1.61.0" "1.61" "1.62.0" "1.62" "1.63.0" "1.63" "1.64.0" "1.64"
     "1.65.0" "1.65" "1.66.0" "1.66" "1.67.0" "1.67" "1.68.0" "1.68" "1.69.0" "1.69"
 )
-find_package(Boost "1.35" COMPONENTS filesystem system thread date_time chrono)
+
+set(BOOST_REQUIRED_COMPONENTS filesystem system thread date_time)
+
+if(MSVC)
+    set(BOOST_REQUIRED_COMPONENTS ${BOOST_REQUIRED_COMPONENTS} chrono)
+
+    if (NOT DEFINED BOOST_ALL_DYN_LINK)
+        set(BOOST_ALL_DYN_LINK TRUE)
+    endif()
+    set(BOOST_ALL_DYN_LINK "${BOOST_ALL_DYN_LINK}" CACHE BOOL "boost enable dynamic linking")
+    if(BOOST_ALL_DYN_LINK)
+        add_definitions(-DBOOST_ALL_DYN_LINK) #setup boost auto-linking in msvc
+    else(BOOST_ALL_DYN_LINK)
+        unset(BOOST_REQUIRED_COMPONENTS) #empty components list for static link
+    endif(BOOST_ALL_DYN_LINK)
+endif(MSVC)
+
+find_package(Boost "1.35" COMPONENTS ${BOOST_REQUIRED_COMPONENTS})
 
 if(NOT Boost_FOUND)
     message(FATAL_ERROR "Boost required to compile iio")
