=== lib/CMakeLists.txt ===
--- 
+++ 
@@ -40,10 +40,14 @@
 	fmcomms2_sink_impl.cc
 	fmcomms5_source_impl.cc
 	fmcomms5_sink_impl.cc
+	pluto_source_impl.cc
+	pluto_sink_impl.cc
 	converter_ss_impl.cc
 	iio_math_impl.cc
 	iio_math_gen_impl.cc
 	iio_power_ff_impl.cc
+	iio_modulo_ff_impl.cc
+	iio_modulo_const_ff_impl.cc
 	${FLEX_lexer_OUTPUTS}
 	${BISON_parser_OUTPUTS}
 )
@@ -53,6 +57,15 @@
 	MESSAGE(STATUS "No C++ sources... skipping lib/")
 	return()
 endif(NOT iio_sources)
+
+if ("${PC_GNURADIO_RUNTIME_VERSION}" VERSION_LESS 3.8.0)
+	set(GR_IS_VERSION_3_7_OR_LESS ON)
+endif()
+
+option(COMPAT_GR_3_7_OR_LESS "Compile for GNU Radio version 3.7 or less" ${GR_IS_VERSION_3_7_OR_LESS})
+if (COMPAT_GR_3_7_OR_LESS)
+	add_definitions(-DGR_VERSION_3_7_OR_LESS)
+endif()
 
 add_library(gnuradio-iio SHARED ${iio_sources})
 target_link_libraries(gnuradio-iio
