=== debian/changelog ===
gr-iio (0.2.36-2) unstable; urgency=medium

  * Adopt package (Closes: #874337), Add Vcs

 -- A. Maitland Bottoms <bottoms@debian.org>  Wed, 06 Sep 2017 08:55:59 -0400

gr-iio (0.2.36-1) unstable; urgency=medium

  * New upstream 0.2 tag
  * update to v0.2-36-g54c86a5 for PLUTO board support
  * build with gnuradipo 3.7.11

 -- A. Maitland Bottoms <bottoms@debian.org>  Mon, 04 Sep 2017 16:13:36 -0400
