=== debian/control ===
--- 
+++ 
@@ -1,22 +1,23 @@
 Source: gr-iio
 Section: libs
 Priority: optional
-Maintainer: Paul Cercueil <paul.cercueil@analog.com>
-Uploaders: A. Maitland Bottoms <bottoms@debian.org>
+Maintainer: A. Maitland Bottoms <bottoms@debian.org>
 Build-Depends: bison,
                cmake (>= 2.6),
                debhelper (>= 9),
                doxygen,
                flex,
-               gnuradio-dev,
-               libad9361-dev,
+               gnuradio-dev (>= 3.7.11),
+               libad9361-dev (>= 0.1-3),
                libcppunit-dev,
-               libiio-dev (>= 0.5),
+               libiio-dev (>= 0.10),
                pkg-config,
 	       python-dev,
                swig
-Standards-Version: 3.9.8
+Standards-Version: 4.1.0
 Homepage: https://github.com/analogdevicesinc/gr-iio.git
+Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/gr-iio.git
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/gr-iio.git
 
 Package: gr-iio
 Section: libdevel
