=== grc/CMakeLists.txt ===
--- 
+++ 
@@ -21,6 +21,8 @@
     iio_device_source.xml iio_device_sink.xml
 	iio_fmcomms2_source.xml iio_fmcomms2_sink.xml
 	iio_fmcomms5_source.xml iio_fmcomms5_sink.xml
+	iio_pluto_source.xml iio_pluto_sink.xml
 	iio_math.xml iio_math_gen.xml iio_power_ff.xml
+	iio_modulo_ff.xml iio_modulo_const_ff.xml
 	DESTINATION share/gnuradio/grc/blocks
 )
