=== include/gnuradio/iio/CMakeLists.txt ===
--- 
+++ 
@@ -25,6 +25,8 @@
     device_source.h device_sink.h
 	fmcomms2_source.h fmcomms2_sink.h
 	fmcomms5_source.h fmcomms5_sink.h
+	pluto_source.h pluto_sink.h
 	converter_ss.h math.h power_ff.h
+	modulo_ff.h modulo_const_ff.h
 	DESTINATION ${GR_INCLUDE_DIR}/gnuradio/iio
 )
