=== debian/changelog ===
gr-iio (0.3-9) unstable; urgency=medium

  * update to v0.3-46-gb3bd9ed
  * Drop boost::chrono dependency

 -- A. Maitland Bottoms <bottoms@debian.org>  Tue, 04 Aug 2020 23:07:17 -0400

gr-iio (0.3-8) unstable; urgency=medium

  * update to v0.3-42-gd6d1f6a now with yml IIO blocks (Closes: #954733)

 -- A. Maitland Bottoms <bottoms@debian.org>  Fri, 27 Mar 2020 22:10:23 -0400

gr-iio (0.3-7) unstable; urgency=medium

  * depend upon dh-python since python3-dev no longer does

 -- A. Maitland Bottoms <bottoms@debian.org>  Tue, 14 Jan 2020 23:49:49 -0500

gr-iio (0.3-6) unstable; urgency=medium

  * upload to unstable

 -- A. Maitland Bottoms <bottoms@debian.org>  Wed, 28 Aug 2019 20:04:12 -0400

gr-iio (0.3-5) experimental; urgency=medium

  * d/copyright: Use https protocol in Format field -- Thanks Ondřej!
  * update to v0.3-27-g0005b95, build with gnuradio 3.8.0.0, Python3
  * upload to experimental due to soversion bump

 -- A. Maitland Bottoms <bottoms@debian.org>  Sun, 18 Aug 2019 22:20:06 -0400

gr-iio (0.3-4) unstable; urgency=medium

  * upload to unstable
  * build with gnuradio 3.7.13.4

 -- A. Maitland Bottoms <bottoms@debian.org>  Fri, 14 Sep 2018 17:10:06 -0400

gr-iio (0.3-3) unstable; urgency=medium

  * update to v0.3-22-gb6658f6 for GRCon 2018 Workshops
    new IIO Attribute blocks

 -- A. Maitland Bottoms <bottoms@debian.org>  Fri, 14 Sep 2018 14:28:13 -0400

gr-iio (0.3-2) unstable; urgency=medium

  * VCS to salsa

 -- A. Maitland Bottoms <bottoms@debian.org>  Sat, 14 Apr 2018 17:36:49 -0400

gr-iio (0.3-1) unstable; urgency=medium

  * New upstream 0.3 tag
  * update to v0.3-9-g1d0f7ec

 -- A. Maitland Bottoms <bottoms@debian.org>  Fri, 13 Apr 2018 18:47:35 -0400
