=== debian/control ===
Source: gr-iio
Section: libs
Priority: optional
Maintainer: A. Maitland Bottoms <bottoms@debian.org>
Build-Depends: bison,
               cmake,
               debhelper (>= 12),
	       dh-python,
               doxygen,
               flex,
               gnuradio-dev (>= 3.8),
               libad9361-dev (>= 0.2),
               libcppunit-dev,
	       libgmp-dev,
               libiio-dev (>= 0.18),
	       liborc-0.4-dev,
               pkg-config,
	       python3-dev,
               swig
Standards-Version: 4.5.0
Homepage: https://github.com/analogdevicesinc/gr-iio.git
Vcs-Browser: https://salsa.debian.org/debian/gr-iio
Vcs-Git: https://salsa.debian.org/debian/gr-iio.git

Package: gr-iio
Section: libdevel
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${python3:Depends}, libgnuradio-iio1 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: IIO blocks for GnuRadio
 Libiio is a library that has been conceived to ease the development of
 applications interfacing Industrial Input/Output (IIO) devices through
 the IIO subsystem of the Linux kernel.
 .
 The IIO blocks for GnuRadio can be used to create flowgraphs that interface
 IIO devices through libiio.
 .
 This package contains the development files.

Package: libgnuradio-iio1
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: IIO blocks for GnuRadio (runtime library)
 Libiio is a library that has been conceived to ease the development of
 applications interfacing Industrial Input/Output (IIO) devices through
 the IIO subsystem of the Linux kernel.
 .
 The IIO blocks for GnuRadio can be used to create flowgraphs that interface
 IIO devices through libiio.
 .
 This package contains the shared library.
